Return
POST
/v2/Payment/ReturnReturn (refund) is used to refund a previously processed payment back to the cardholder. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Amount*
numberPaymentType*
enumReferenceId*
stringPrintReceipt
enumGetReceipt
enumMerchantNumber
numberInvoiceNumber
stringCaptureSignature
booleanGetExtendedData
booleanIsReadyForIS
booleanCallbackInfo
Url
stringReconId
stringIsvId
stringTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomerEmail
stringCustomerMobile
stringPOST/v2/Payment/Return
1curl --location 'https://test.spinpos.net/v2/Payment/Return' \
2--header 'Content-Type: application/json' \
3--data '{
4 "Amount": 1,
5 "PaymentType": "Credit",
6 "ReferenceId": "3ecebccef5d4",
7 "PrintReceipt": "No",
8 "GetReceipt": "No",
9 "MerchantNumber": "",
10 "InvoiceNumber": "3",
11 "CaptureSignature": false,
12 "GetExtendedData": true,
13 "IsReadyForIS": false,
14 "CallbackInfo": {
15 "Url": ""
16 },
17 "ReconId": "",
18 "IsvId": "",
19 "Tpn": "",
20 "RegisterId": "",
21 "Authkey": "",
22 "SPInProxyTimeout": "",
23 "CustomFields": {
24 "CustomerEmail": "sai@gmail.com",
25 "CustomerMobile": "+15418996990"
26 }
27}'
Response
// Awaiting response…
Sample response
{
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
},
"Amounts": {
"TotalAmount": 1.05,
"Amount": 1,
"TipAmount": null,
"FeeAmount": 0.03,
"TaxAmount": 0.02
},
"CardData": {
"CardType": "Mastercard",
"EntryType": "ChipContactless",
"Last4": "4111",
"First4": "5413",
"BIN": "541333",
"ExpirationDate": "1225",
"Name": "",
"CardBrand": ""
}
}